package com.yc.education.service;
import com.yc.education.model.Productclassify;

/**
 * huangpan
 * 2019/10/8
 * energy
 */
public interface ProductclassifyService extends IService<Productclassify> {

    /*查询所有*//*
    List<Productclassify> selAllPclassify(Integer id,String pName,Integer pageNum, Integer pageSize);

    *//*查询单条*//*
    Productclassify selectPclassifyById(Integer id);

    *//*查询是否还有子列表*//*
    int countPclassify(Integer id);

    *//*删除单条*//*
    void deletePclassifyById(Integer id);

    *//*首页查询所有*//*
    List<Productclassify> getProductclassify();

    *//*查询最新添加的Id*//*
    int getPclassifyById();

    *//*首页查询*//*
    List<Productclassify> getProductById(Integer id);

    *//*首页查询所有*//*
    List<Productclassify> getProduct();*/
}
